=== debian/changelog ===
libreoffice-l10n (1:4.2.8-0ubuntu1) trusty; urgency=medium

  * new upstream version, remove upstreamed patches
  * likely fixes (LP: #1372799)

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Fri, 09 Jan 2015 19:45:44 +0100

libreoffice-l10n (1:4.2.7-0ubuntu2) trusty; urgency=medium

  * backport search & replace w/ empty performance fix (LP: #1342175)
  * add additional backported upstream fixes for fdo#82936, fdo#85282,
    fdo#85215, fdo#83765, fdo#79441, fdo#86708 (LP: #1389858)

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Wed, 26 Nov 2014 19:24:35 +0100

libreoffice-l10n (1:4.2.7-0ubuntu1) trusty; urgency=medium

  * new upstream release
  * add patches to preserve the default Calc sorting behaviour of the 4.2/4.3 series,
    a big thank you to Kohei, Eike, Michael, Muthu, Andras for the backporting
    after upstream EOL

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Tue, 04 Nov 2014 15:34:25 +0100
